---@meta

---@class ABP_Interactable_HowToManual_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SK_Manual_01 USkeletalMeshComponent
---@field ScrewInSFX UAudioComponent
---@field ScrewOutSFX UAudioComponent
---@field DrillInSFX UAudioComponent
---@field DrillOutSFX UAudioComponent
---@field MI UMaterialInstanceDynamic
---@field Page int32
---@field ToggleOpen boolean
local ABP_Interactable_HowToManual_C = {}

---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Interactable_HowToManual_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_HowToManual_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
function ABP_Interactable_HowToManual_C:OnRep_ToggleOpen() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_HowToManual_C:TryToPickupThisActor(PlayerCharacter, Success) end
function ABP_Interactable_HowToManual_C:OnRep_Page() end
---@param ScrewAmount double
function ABP_Interactable_HowToManual_C:UpdateDrillOutScrewAmount(ScrewAmount) end
---@param ScrewAmount double
function ABP_Interactable_HowToManual_C:UpdateDrillInScrewAmount(ScrewAmount) end
function ABP_Interactable_HowToManual_C:StopDrill_Out_Only() end
function ABP_Interactable_HowToManual_C:StartDrill_Out_Only() end
function ABP_Interactable_HowToManual_C:StartDrillOutWrenchSFX() end
function ABP_Interactable_HowToManual_C:StartDrillInWrenchSFX() end
function ABP_Interactable_HowToManual_C:StopDrill_In_Only() end
function ABP_Interactable_HowToManual_C:StartDrill_In_Only() end
function ABP_Interactable_HowToManual_C:StopDrillOutWrenchSFX() end
---@param ScrewAmount double
function ABP_Interactable_HowToManual_C:StopDrillInWrenchSFX(ScrewAmount) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_B0582F8346A04FAB909EA48B52CB0C58(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_B0582F8346A04FAB909EA48B52CB0C58(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_B0582F8346A04FAB909EA48B52CB0C58(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_B0582F8346A04FAB909EA48B52CB0C58(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_B0582F8346A04FAB909EA48B52CB0C58(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_34F296484CC9E0304575C381E36F1476(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_34F296484CC9E0304575C381E36F1476(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_34F296484CC9E0304575C381E36F1476(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_34F296484CC9E0304575C381E36F1476(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_34F296484CC9E0304575C381E36F1476(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_7C50492F453388535639F7B35EED868C(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_7C50492F453388535639F7B35EED868C(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_7C50492F453388535639F7B35EED868C(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_7C50492F453388535639F7B35EED868C(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_7C50492F453388535639F7B35EED868C(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_E06D3E3C4F806E0EA28CB6B798C4ABC7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_E06D3E3C4F806E0EA28CB6B798C4ABC7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_E06D3E3C4F806E0EA28CB6B798C4ABC7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_E06D3E3C4F806E0EA28CB6B798C4ABC7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_E06D3E3C4F806E0EA28CB6B798C4ABC7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_6A49FD024EFEDA1D6866659145B30698(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_6A49FD024EFEDA1D6866659145B30698(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_6A49FD024EFEDA1D6866659145B30698(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_6A49FD024EFEDA1D6866659145B30698(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_6A49FD024EFEDA1D6866659145B30698(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_A94708FB4E99584BE6A63B9E5649BFDF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_A94708FB4E99584BE6A63B9E5649BFDF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_A94708FB4E99584BE6A63B9E5649BFDF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_A94708FB4E99584BE6A63B9E5649BFDF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_A94708FB4E99584BE6A63B9E5649BFDF(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_30531FE04DA531200B967496FABB1389(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_30531FE04DA531200B967496FABB1389(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_30531FE04DA531200B967496FABB1389(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_30531FE04DA531200B967496FABB1389(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_30531FE04DA531200B967496FABB1389(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyEnd_290339D941D4B945318873AD22B4F6D7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnNotifyBegin_290339D941D4B945318873AD22B4F6D7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnInterrupted_290339D941D4B945318873AD22B4F6D7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnBlendOut_290339D941D4B945318873AD22B4F6D7(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_HowToManual_C:OnCompleted_290339D941D4B945318873AD22B4F6D7(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_HowToManual_C:InpActEvt_IA_SecondaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_HowToManual_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_HowToManual_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_HowToManual_C:CallBackSecondaryFire(Player, Stop) end
function ABP_Interactable_HowToManual_C:UpdateFluff() end
---@param Page int32
function ABP_Interactable_HowToManual_C:Internal_UpdateToPage(Page) end
function ABP_Interactable_HowToManual_C:ReceiveDestroyed() end
function ABP_Interactable_HowToManual_C:ReceiveBeginPlay() end
---@param EntryPoint int32
function ABP_Interactable_HowToManual_C:ExecuteUbergraph_BP_Interactable_HowToManual(EntryPoint) end


